Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 151194 - perl-RPM2 installs into site_perl; should set INSTALLDIRS=vendor
Summary: perl-RPM2 installs into site_perl; should set INSTALLDIRS=vendor
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-RPM2
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Vas Dias
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC5Target
TreeView+ depends on / blocked
 
Reported: 2005-03-15 22:30 UTC by Matthew Miller
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: perl-RPM2-0.66-12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-03-09 17:02:41 UTC


Attachments (Terms of Use)

Description Matthew Miller 2005-03-15 22:30:13 UTC
Perl modules managed by RPM should be installed into vendor_perl, not site_perl.
Almost all modules have been updated to correct this; this is one of two in the
development tree that doesn't seem to be fixed yet.

Comment 1 Jason Vas Dias 2006-03-09 17:02:41 UTC
perl-RPM2 is now deprecated (no longer shipped as part of Fedora Core). 
With the latest version of the .spec file submitted for Fedora Extras
consideration, this problem does not occur (installs correctly in vendorlib).


Comment 2 Jose Pedro Oliveira 2006-03-09 17:16:42 UTC
Jason,

(In reply to comment #1)
> perl-RPM2 is now deprecated (no longer shipped as part of Fedora Core). 
> With the latest version of the .spec file submitted for Fedora Extras
> consideration, this problem does not occur (installs correctly in vendorlib).

I don't mind help reviewing it but I still haven't found a ticket for it.

/jpo


Note You need to log in before you can comment on or make changes to this bug.